import React from 'react';
import ReactDOM from 'react-dom';
import { loadData } from './loadData';
import { CountryMap } from './countryMap';

const width = 1005;
const height = 606;

const App = () => {
  const data = loadData();

  if (!data) {
    return <pre>Loading data...</pre>;
  }

  return (
    <svg width={width} height={height}>
      <CountryMap data={data} />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
